USERCONF(4)

NAME
userconf - in-kernel device configuration manager

SYNOPSIS
options USERCONF

DESCRIPTION
userconf is the in-kernel device configuration manager. It is used to alter the kernel autoconfiguration framework at runtime. userconf is activated from the boot loader by passing the -c option to the kernel.

COMMAND SYNTAX
The general command syntax is:

command [option]

userconf has a more(1)-like functionality; if a number of lines in a command's output exceeds the number defined in the lines variable, then userconf displays “-- more --” and waits for a response, which may be one of:

<return>
    one more line.

<space>
    one more page.

q   abort the current command, and return to the command input mode.

COMMANDS
userconf supports the following commands:

lines count
    Specify the number of lines before more.

base 8 | 10 | 16
    Base for displaying large numbers.

change devno | dev
    Change devices.

disable devno | dev
    Disable devices.

enable devno | dev
    Enable devices.

exit
    A synonym for quit.

find devno | dev
    Find devices.

help
    Display online help.

list
    List current configuration.

quit
    Leave userconf.

?   A synonym for help.

HISTORY
The userconf framework first appeared in OpenBSD 2.0, and was then integrated into NetBSD 1.6.

AUTHORS
The userconf framework was written by Mats O Jansson <moj@stacken.kth.se>.